Perché non c'è più "python-support" in 16.04?

17

Sono curioso di sapere perché il pacchetto di supporto python non esiste più in 16.04 - è questo in relazione al cambiamento di Python3 come predefinito? Inoltre, esiste un pacchetto che "lo richiede" che in realtà non installa ed esegue ok da forzare le dipendenze ?

C'è qualche pericolo nei manutentori dei pacchetti che rimuovono "python-support" dall'elenco dei requisiti, per risolvere questo problema in un aggiornamento?

    
posta NoBugs 02.05.2016 - 05:20

2 risposte

30

Ho avuto lo stesso problema quando ho provato ad installare cassandra il 16.04. Risolto con:

wget http://launchpadlibrarian.net/109052632/python-support_1.0.15_all.deb
sudo dpkg -i python-support_1.0.15_all.deb

Fonte: link

    
risposta data Alex Burdusel 04.08.2016 - 21:38
1

Sei collegato al pacchetto sorgente, ma il pacchetto python-support esiste sicuramente nei repository binari:

link

Non sono sicuro del motivo per cui non compare nei repository di origine - forse perché è solo uno script Python che può essere eseguito direttamente, piuttosto che qualcosa che richiede la compilazione in un binario per essere utile.

Questo risponde alla tua domanda o hai bisogno di un pacchetto nei repository "sorgente"?

    
risposta data user533208 02.05.2016 - 06:15

Leggi altre domande sui tag